Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.opengl
Enum QGLFormat.OpenGLVersionFlag

    java.lang.Object
      java.lang.Enum<QGLFormat.OpenGLVersionFlag>
          com.trolltech.qt.opengl.QGLFormat.OpenGLVersionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGLFormat.OpenGLVersionFlag>

Enclosing class:
  QGLFormat

    public static enum QGLFormat.OpenGLVersionFlag

extends java.lang.Enum<QGLFormat.OpenGLVersionFlag>
implements QtEnumerator

This enum describes the various OpenGL versions that are recognized by Qt. Use the QGLFormat::openGLVersionFlags() function to identify which versions that are supported at runtime.

See also http://www.opengl.org for more information about the different revisions of OpenGL.

See Also:
  `openGLVersionFlags`

Enum Constant Summary
`OpenGL_ES_Common_Version_1_0` OpenGL ES version 1.0 Common or higher is present.
`OpenGL_ES_Common_Version_1_1` OpenGL ES version 1.1 Common or higher is present.
`OpenGL_ES_CommonLite_Version_1_0` OpenGL ES version 1.0 Common Lite or higher is present.
`OpenGL_ES_CommonLite_Version_1_1` OpenGL ES version 1.1 Common Lite or higher is present.
`OpenGL_ES_Version_2_0` OpenGL ES version 2.0 or higher is present.
`OpenGL_Version_1_1` OpenGL version 1.1 or higher is present.
`OpenGL_Version_1_2` OpenGL version 1.2 or higher is present.
`OpenGL_Version_1_3` OpenGL version 1.3 or higher is present.
`OpenGL_Version_1_4` OpenGL version 1.4 or higher is present.
`OpenGL_Version_1_5` OpenGL version 1.5 or higher is present.
`OpenGL_Version_2_0` OpenGL version 2.0 or higher is present.
`OpenGL_Version_2_1` OpenGL version 2.1 or higher is present.
`OpenGL_Version_None` If no OpenGL is present or if no OpenGL context is current.

Method Summary
`static QGLFormat.OpenGLVersionFlags` | `createQFlags(QGLFormat.OpenGLVersionFlag... values)`
`static QGLFormat.OpenGLVersionFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGLFormat.OpenGLVersionFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGLFormat.OpenGLVersionFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OpenGL_Version_None

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_None

  If no OpenGL is present or if no OpenGL context is current.

### OpenGL_Version_1_1

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_1_1

  OpenGL version 1.1 or higher is present.

### OpenGL_Version_1_2

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_1_2

  OpenGL version 1.2 or higher is present.

### OpenGL_Version_1_3

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_1_3

  OpenGL version 1.3 or higher is present.

### OpenGL_Version_1_4

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_1_4

  OpenGL version 1.4 or higher is present.

### OpenGL_Version_1_5

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_1_5

  OpenGL version 1.5 or higher is present.

### OpenGL_Version_2_0

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_2_0

  OpenGL version 2.0 or higher is present. Note that version 2.0 supports all the functionality of version 1.5.

### OpenGL_Version_2_1

    public static final QGLFormat.OpenGLVersionFlag OpenGL_Version_2_1

  OpenGL version 2.1 or higher is present.

### OpenGL_ES_Common_Version_1_0

    public static final QGLFormat.OpenGLVersionFlag OpenGL_ES_Common_Version_1_0

  OpenGL ES version 1.0 Common or higher is present. The Common profile supports all the features of Common Lite.

### OpenGL_ES_CommonLite_Version_1_0

    public static final QGLFormat.OpenGLVersionFlag OpenGL_ES_CommonLite_Version_1_0

  OpenGL ES version 1.0 Common Lite or higher is present.

### OpenGL_ES_Common_Version_1_1

    public static final QGLFormat.OpenGLVersionFlag OpenGL_ES_Common_Version_1_1

  OpenGL ES version 1.1 Common or higher is present. The Common profile supports all the features of Common Lite.

### OpenGL_ES_CommonLite_Version_1_1

    public static final QGLFormat.OpenGLVersionFlag OpenGL_ES_CommonLite_Version_1_1

  OpenGL ES version 1.1 Common Lite or higher is present.

### OpenGL_ES_Version_2_0

    public static final QGLFormat.OpenGLVersionFlag OpenGL_ES_Version_2_0

  OpenGL ES version 2.0 or higher is present. Note that OpenGL ES version 2.0 does not support all the features of OpenGL ES 1.x. So if `OpenGL_ES_Version_2_0` is returned, none of the ES 1.x flags are returned.

Method Detail

### values

    public static final QGLFormat.OpenGLVersionFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGLFormat.OpenGLVersionFlag c : QGLFormat.OpenGLVersionFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGLFormat.OpenGLVersionFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGLFormat.OpenGLVersionFlags createQFlags(QGLFormat.OpenGLVersionFlag... values)

### resolve

    public static QGLFormat.OpenGLVersionFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD